Bug 1254966 - [UX] dnf install tries to update the installed dependencies to newer version (at least message says that)
Summary: [UX] dnf install tries to update the installed dependencies to newer version ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
(Show other bugs)
Version: 24
Hardware: Unspecified Unspecified
low
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged, UserExperience
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-19 11:09 UTC by Alexander Todorov
Modified: 2017-06-09 19:06 UTC (History)
6 users (show)

Fixed In Version: dnf-2.5.0-2.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-09 19:06:23 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1255087 None None None Never

Description Alexander Todorov 2015-08-19 11:09:43 UTC
Description of problem:

I'm not quite sure what is the problem here - dnf or problems in the particular packages but in some cases dnf skips packages which can be upgraded. See below for more info.

Version-Release number of selected component (if applicable):
dnf-1.1.0-2.fc24.noarch

How reproducible:
Always

Steps to Reproduce:
1. On a rawhide-20150814 system without the latest upgrades I do the following
2. git clone https://github.com/atodorov/anaconda
3. cd anaconda/
4. make -f Makefile.am install-buildrequires
5. make -f Makefile.am install-requires

Actual results:

I see the following errors:

# make -f Makefile.am install-buildrequires
srcdir="" && \
: ${srcdir:=.} && \
pkglist="$(grep ^BuildRequires: ${srcdir}/anaconda.spec.in | cut -d ' ' -f 2)" && \
if ! [[ $(uname -m) =~ s390x? ]]; then \
	pkglist=$(echo "$pkglist" | grep -v s390utils) ; \
fi ; \
dnf install $pkglist gettext-devel libtool
Last metadata expiration check performed 2:10:58 ago on Wed Aug 19 04:55:08 2015.
Package gettext-0.19.5.1-2.fc24.x86_64 is already installed, skipping.
Package systemd-224-1.fc24.x86_64 is already installed, skipping.
Package rpm-devel-4.12.90-7.fc24.x86_64 is already installed, skipping.
Package desktop-file-utils-0.22-5.fc23.x86_64 is already installed, skipping.
Package gsettings-desktop-schemas-3.16.1-2.fc23.x86_64 is already installed, skipping.
Dependencies resolved.
============================================================================================================================================================================
 Package                                  Arch                Version                                                                      Repository                  Size
============================================================================================================================================================================
Installing:
 at-spi2-atk-devel                        x86_64              2.17.1-1.fc24                                                                beaker-Fedora               16 k
 at-spi2-core-devel                       x86_64              2.17.1-1.fc24                                                                beaker-Fedora              141 k
 atk-devel                                x86_64              2.16.0-2.fc23                                                                beaker-Fedora              192 k
 audit-libs-devel                         x86_64              2.4.3-1.fc24                                                                 rawhide                     73 k
 cairo-devel                              x86_64              1.14.2-2.fc23                                                                rawhide                    354 k
 cairo-gobject-devel                      x86_64              1.14.2-2.fc23                                                                rawhide                     23 k
 cryptopp                                 x86_64              5.6.2-9.fc23                                                                 rawhide                    1.0 M
 ctags                                    x86_64              5.8-17.fc23                                                                  rawhide                    166 k
 docbook-dtds                             noarch              1.0-64.fc23                                                                  rawhide                    380 k
 docbook-style-dsssl                      noarch              1.79-21.fc23                                                                 rawhide                    255 k
 docbook-style-xsl                        noarch              1.78.1-4.fc23                                                                rawhide                    2.0 M
 docbook-utils                            noarch              0.6.14-39.fc23                                                               rawhide                     76 k
 expat-devel                              x86_64              2.1.0-12.fc23                                                                rawhide                     61 k
 fontconfig-devel                         x86_64              2.11.94-3.fc24                                                               beaker-Fedora              136 k
 freetype-devel                           x86_64              2.6.0-3.fc24                                                                 rawhide                    378 k
 gdk-pixbuf2-devel                        x86_64              2.31.5-3.fc24                                                                rawhide                    220 k
 gettext-common-devel                     noarch              0.19.5.1-2.fc24                                                              rawhide                    406 k
 gettext-devel                            x86_64              0.19.5.1-2.fc24                                                              rawhide                    330 k
 gl-manpages                              noarch              1.1-10.20140424.fc23                                                         rawhide                    1.0 M
 glade-devel                              x86_64              3.19.0-3.fc23                                                                rawhide                    167 k
 glade-libs                               x86_64              3.19.0-3.fc23                                                                rawhide                    663 k
 glib2-doc                                noarch              2.45.4-2.fc24                                                                rawhide                    1.6 M
 gobject-introspection-devel              x86_64              1.45.3-1.fc23                                                                rawhide                    1.2 M
 gtk-doc                                  noarch              1.24-2.fc23                                                                  rawhide                    299 k
 gtk3-devel                               x86_64              3.17.6-3.fc24                                                                rawhide                    4.0 M
 gtk3-devel-docs                          x86_64              3.17.6-3.fc24                                                                rawhide                    3.3 M
 harfbuzz-devel                           x86_64              1.0.1-1.fc24                                                                 rawhide                    115 k
 harfbuzz-icu                             x86_64              1.0.1-1.fc24                                                                 rawhide                     18 k
 intltool                                 noarch              0.51.0-3.fc23                                                                rawhide                     65 k
 iso-codes                                noarch              3.60-1.fc24                                                                  rawhide                    3.0 M
 json-glib-devel                          x86_64              1.0.4-2.fc23                                                                 rawhide                    100 k
 libX11-devel                             x86_64              1.6.3-2.fc23                                                                 rawhide                    984 k
 libXau-devel                             x86_64              1.0.8-5.fc23                                                                 rawhide                     19 k
 libXcomposite-devel                      x86_64              0.4.4-7.fc23                                                                 rawhide                     21 k
 libXcursor-devel                         x86_64              1.1.14-4.fc23                                                                rawhide                     27 k
 libXdamage-devel                         x86_64              1.1.4-7.fc23                                                                 rawhide                     14 k
 libXext-devel                            x86_64              1.3.3-3.fc23                                                                 rawhide                     79 k
 libXfixes-devel                          x86_64              5.0.1-5.fc23                                                                 rawhide                     17 k
 libXft-devel                             x86_64              2.3.2-3.fc23                                                                 rawhide                     24 k
 libXi-devel                              x86_64              1.7.4-3.fc23                                                                 rawhide                    109 k
 libXinerama-devel                        x86_64              1.1.3-5.fc23                                                                 rawhide                     18 k
 libXrandr-devel                          x86_64              1.5.0-2.fc23                                                                 rawhide                     25 k
 libXrender-devel                         x86_64              0.9.9-2.fc23                                                                 rawhide                     21 k
 libXxf86vm-devel                         x86_64              1.1.4-2.fc23                                                                 rawhide                     23 k
 libarchive-devel                         x86_64              3.1.2-13.fc23                                                                rawhide                    119 k
 libdrm-devel                             x86_64              2.4.62-2.fc23                                                                rawhide                     98 k
 libepoxy-devel                           x86_64              1.2-4.fc23                                                                   rawhide                    131 k
 libffi-devel                             x86_64              3.1-8.fc23                                                                   rawhide                     27 k
 libgnomekbd                              x86_64              3.6.0-8.fc23                                                                 rawhide                    163 k
 libgnomekbd-devel                        x86_64              3.6.0-8.fc23                                                                 rawhide                     27 k
 libpng-devel                             x86_64              2:1.6.18-1.fc24                                                              rawhide                    310 k
 libtimezonemap                           x86_64              0.4.4-2.fc23                                                                 rawhide                    2.2 M
 libtimezonemap-devel                     x86_64              0.4.4-2.fc23                                                                 rawhide                     16 k
 libtool                                  x86_64              2.4.6-5.fc23                                                                 rawhide                    707 k
 libwayland-client-devel                  x86_64              1.8.0-1.fc24                                                                 rawhide                     30 k
 libwayland-cursor-devel                  x86_64              1.8.0-1.fc24                                                                 rawhide                     13 k
 libxcb-devel                             x86_64              1.11-8.fc23                                                                  rawhide                    1.1 M
 libxkbcommon-devel                       x86_64              0.5.0-2.fc23                                                                 rawhide                     57 k
 libxkbfile                               x86_64              1.0.9-2.fc23                                                                 rawhide                     87 k
 libxklavier                              x86_64              5.4-5.fc23                                                                   rawhide                     68 k
 libxklavier-devel                        x86_64              5.4-5.fc23                                                                   rawhide                     40 k
 libxshmfence-devel                       x86_64              1.2-2.fc23                                                                   rawhide                    9.6 k
 libxslt                                  x86_64              1.1.28-11.fc23                                                               rawhide                    246 k
 links                                    x86_64              1:2.10-3.fc24                                                                rawhide                    2.9 M
 mesa-libEGL-devel                        x86_64              11.0.0-0.devel.2.21ccdbd.fc24                                                rawhide                     41 k
 mesa-libGL-devel                         x86_64              11.0.0-0.devel.2.21ccdbd.fc24                                                rawhide                    160 k
 mesa-libwayland-egl-devel                x86_64              11.0.0-0.devel.2.21ccdbd.fc24                                                rawhide                     26 k
 openjade                                 x86_64              1.3.2-48.fc23                                                                rawhide                    823 k
 opensp                                   x86_64              1.5.2-22.fc23                                                                rawhide                    892 k
 pango-devel                              x86_64              1.37.3-1.fc24                                                                rawhide                    335 k
 perl-SGMLSpm                             noarch              1.03ii-36.fc23                                                               rawhide                     32 k
 perl-XML-Parser                          x86_64              2.44-3.fc23                                                                  rawhide                    224 k
 pixman-devel                             x86_64              0.33.2-1.fc24                                                                rawhide                     18 k
 pycryptopp                               x86_64              0.6.0.1206569328141510525648634803928199668821045408958-8.fc23               rawhide                    166 k
 python-beaker                            noarch              1.5.4-11.fc23                                                                rawhide                     84 k
 python-mako                              noarch              1.0.1-2.fc23                                                                 rawhide                    148 k
 python-markupsafe                        x86_64              0.23-7.fc23                                                                  rawhide                     35 k
 python-paste                             noarch              1.7.5.1-12.20111221hg1498.fc23                                               rawhide                    871 k
 python-tempita                           noarch              0.5.1-9.fc23                                                                 rawhide                     37 k
 python3-bugzilla                         noarch              1.2.1-2.fc23                                                                 rawhide                     78 k
 python3-chardet                          noarch              2.2.1-3.fc23                                                                 rawhide                    240 k
 python3-devel                            x86_64              3.4.3-5.fc24                                                                 rawhide                    189 k
 python3-kickstart                        noarch              2.13-1.fc24                                                                  rawhide                    367 k
 python3-magic                            noarch              5.22-5.fc23                                                                  rawhide                     38 k
 python3-nose                             noarch              1.3.7-5.fc24                                                                 rawhide                    284 k
 python3-requests                         noarch              2.7.0-2.fc23                                                                 rawhide                    102 k
 python3-urllib3                          noarch              1.10.4-4.20150503gita91975b.fc23                                             rawhide                    116 k
 sgml-common                              noarch              0.6.3-43.fc23                                                                rawhide                     59 k
 source-highlight                         x86_64              3.1.8-4.fc24                                                                 rawhide                    647 k
 svgalib                                  x86_64              1.9.25-18.fc24                                                               rawhide                    424 k
 wayland-devel                            x86_64              1.8.0-1.fc24                                                                 rawhide                     85 k
 xml-common                               noarch              0.6.3-43.fc23                                                                rawhide                     31 k
 xorg-x11-proto-devel                     noarch              7.7-16.fc23                                                                  rawhide                    287 k
Upgrading:
 glib2                                    x86_64              2.45.4-2.fc24                                                                rawhide                    2.3 M
 glib2-devel                              x86_64              2.45.4-2.fc24                                                                rawhide                    436 k
 gtk3                                     x86_64              3.17.6-3.fc24                                                                rawhide                    4.3 M
 pango                                    x86_64              1.37.3-1.fc24                                                                rawhide                    282 k
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 desktop-file-utils                       x86_64              0.22-6.fc24                                                                  rawhide                     77 k

Transaction Summary
============================================================================================================================================================================
Install  93 Packages
Upgrade   4 Packages

Total download size: 45 M
Is this ok [y/N]: n
Operation aborted.
Makefile.am:114: recipe for target 'install-buildrequires' failed
make: *** [install-buildrequires] Error 1

# rpm -q glib2 glib2-devel gtk3 pango desktop-file-utils
glib2-2.45.4-1.fc24.x86_64
glib2-devel-2.45.4-1.fc24.x86_64
gtk3-3.17.6-1.fc24.x86_64
pango-1.37.2-1.fc24.x86_64
desktop-file-utils-0.22-5.fc23.x86_64



# make -f Makefile.am install-requires
srcdir="" && \
: ${srcdir:=.} && \
dnf install $(grep ^Requires: ${srcdir}/anaconda.spec.in | grep -v %{name} | cut -d ' ' -f 2 | grep -v ^anaconda) \
	    bzip2 mock lorax rpm-ostree python3-rpmfluff python3-mock python3-pocketlint python3-nose-testconfig    \
	    python3-sphinx_rtd_theme libvirt-python3
Last metadata expiration check performed 2:11:35 ago on Wed Aug 19 04:55:08 2015.
Package python3-dnf-1.1.0-2.fc24.noarch is already installed, skipping.
Package libselinux-python3-2.4-1.fc24.1.x86_64 is already installed, skipping.
Package rpm-python3-4.12.90-7.fc24.x86_64 is already installed, skipping.
Package parted-3.2-11.fc24.x86_64 is already installed, skipping.
Package authconfig-6.2.10-10.fc23.x86_64 is already installed, skipping.
Package firewalld-0.3.14.2-4.fc24.noarch is already installed, skipping.
Package util-linux-2.27-0.3.fc24.x86_64 is already installed, skipping.
Package python3-dbus-1.2.0-8.fc24.x86_64 is already installed, skipping.
Package openssh-7.0p1-1.fc24.x86_64 is already installed, skipping.
Package NetworkManager-1:1.0.6-0.1.20150813git7e2caa2.fc24.x86_64 is already installed, skipping.
Package dhcp-client-12:4.3.3-0.2b1.fc24.x86_64 is already installed, skipping.
Package kbd-2.0.3-2.fc24.x86_64 is already installed, skipping.
Package chrony-2.1.1-1.fc23.x86_64 is already installed, skipping.
Package rsync-3.1.1-7.fc23.x86_64 is already installed, skipping.
Package systemd-224-1.fc24.x86_64 is already installed, skipping.
Package adwaita-icon-theme-3.17.4-1.fc24.noarch is already installed, skipping.
Package fedora-logos-22.0.0-2.fc23.x86_64 is already installed, skipping.
Package python3-gobject-base-3.17.1-3.fc23.x86_64 is already installed, skipping.
Package python3-3.4.3-5.fc24.x86_64 is already installed, skipping.
Package dracut-043-60.git20150811.fc24.x86_64 is already installed, skipping.
Package xz-5.2.1-3.fc23.x86_64 is already installed, skipping.
Dependencies resolved.
============================================================================================================================================================================
 Package                                            Arch                      Version                                                Repository                        Size
============================================================================================================================================================================
Installing:
 ModemManager-glib                                  x86_64                    1.4.6-2.fc23                                           rawhide                          217 k
 NetworkManager-glib                                x86_64                    1:1.0.6-0.1.20150813git7e2caa2.fc24                    rawhide                          367 k
 NetworkManager-team                                x86_64                    1:1.0.6-0.1.20150813git7e2caa2.fc24                    rawhide                          114 k
 NetworkManager-wifi                                x86_64                    1:1.0.6-0.1.20150813git7e2caa2.fc24                    rawhide                          141 k
 augeas-libs                                        x86_64                    1.4.0-2.fc23                                           rawhide                          353 k
 bcache-tools                                       x86_64                    1.0.8-4.fc23                                           rawhide                           40 k
 blivet-data                                        noarch                    1:1.12-1.fc24                                          rawhide                          198 k
 btrfs-progs                                        x86_64                    4.1.2-1.fc24                                           rawhide                          559 k
 bzip2                                              x86_64                    1.0.6-17.fc24                                          rawhide                           58 k
 cdparanoia-libs                                    x86_64                    10.2-20.fc23                                           rawhide                           57 k
 createrepo_c                                       x86_64                    0.9.0-4.fc24                                           rawhide                           73 k
 createrepo_c-libs                                  x86_64                    0.9.0-4.fc24                                           rawhide                           89 k
 cyrus-sasl-md5                                     x86_64                    2.1.26-25.2.fc24                                       rawhide                           61 k
 device-mapper-multipath                            x86_64                    0.4.9-78.fc24                                          beaker-Fedora                    119 k
 device-mapper-multipath-libs                       x86_64                    0.4.9-78.fc24                                          beaker-Fedora                    219 k
 dmraid                                             x86_64                    1.0.0.rc16-28.fc24                                     rawhide                          153 k
 dmraid-events                                      x86_64                    1.0.0.rc16-28.fc24                                     rawhide                           25 k
 dosfstools                                         x86_64                    3.0.27-2.fc23                                          rawhide                          108 k
 dracut-live                                        x86_64                    043-60.git20150811.fc24                                rawhide                           53 k
 dracut-network                                     x86_64                    043-60.git20150811.fc24                                rawhide                           83 k
 drpm                                               x86_64                    0.2.0-3.fc24                                           rawhide                           30 k
 enchant                                            x86_64                    1:1.6.0-12.fc23                                        rawhide                           60 k
 ethtool                                            x86_64                    2:4.0-2.fc23                                           rawhide                          125 k
 fcoe-utils                                         x86_64                    1.0.30-3.git91c0c8c.fc23                               rawhide                          121 k
 fedup-dracut                                       x86_64                    0.9.2-3.fc24                                           rawhide                           36 k
 fedup-dracut-plymouth                              noarch                    0.9.2-3.fc24                                           rawhide                          202 k
 fontawesome-fonts                                  noarch                    4.1.0-3.fc23                                           rawhide                          142 k
 fros                                               noarch                    1.1-4.fc24                                             rawhide                           28 k
 genisoimage                                        x86_64                    1.1.11-29.fc23                                         rawhide                          302 k
 geoclue2                                           x86_64                    2.2.0-2.fc23                                           rawhide                           98 k
 glade                                              x86_64                    3.19.0-3.fc23                                          rawhide                          1.9 M
 glade-libs                                         x86_64                    3.19.0-3.fc23                                          rawhide                          663 k
 gnupg                                              x86_64                    1.4.19-3.fc23                                          rawhide                          1.3 M
 gnutls-dane                                        x86_64                    3.4.4-1.fc24                                           rawhide                           37 k
 gnutls-utils                                       x86_64                    3.4.4-1.fc24                                           rawhide                          260 k
 gstreamer1                                         x86_64                    1.5.2-1.fc23                                           rawhide                          1.1 M
 gstreamer1-plugins-base                            x86_64                    1.5.2-1.fc23                                           rawhide                          1.4 M
 harfbuzz-icu                                       x86_64                    1.0.1-1.fc24                                           rawhide                           18 k
 hfsplus-tools                                      x86_64                    540.1.linux3-10.fc23                                   rawhide                          160 k
 hunspell                                           x86_64                    1.3.3-7.fc23                                           rawhide                          219 k
 hunspell-en-US                                     noarch                    0.20140811.1-2.fc23                                    rawhide                          194 k
 hyphen                                             x86_64                    2.8.8-2.fc23                                           rawhide                           31 k
 iscsi-initiator-utils                              x86_64                    6.2.0.873-27.git6aa2c9b.fc23                           rawhide                          415 k
 iscsi-initiator-utils-iscsiuio                     x86_64                    6.2.0.873-27.git6aa2c9b.fc23                           rawhide                           83 k
 iso-codes                                          noarch                    3.60-1.fc24                                            rawhide                          3.0 M
 isomd5sum                                          x86_64                    1:1.0.12-6.fc24                                        rawhide                           32 k
 jansson                                            x86_64                    2.7-2.fc23                                             rawhide                           39 k
 json-c                                             x86_64                    0.12-6.fc23                                            rawhide                           29 k
 kexec-tools                                        x86_64                    2.0.10-5.fc24                                          rawhide                          405 k
 keybinder3                                         x86_64                    0.3.0-5.fc23                                           rawhide                           19 k
 langtable                                          noarch                    0.0.34-1.fc23                                          rawhide                           40 k
 langtable-data                                     noarch                    0.0.34-1.fc23                                          rawhide                          628 k
 langtable-python3                                  noarch                    0.0.34-1.fc23                                          rawhide                           36 k
 lato-fonts                                         noarch                    2.015-1.fc24                                           rawhide                          3.3 M
 libXdmcp                                           x86_64                    1.1.2-2.fc23                                           rawhide                           37 k
 libXv                                              x86_64                    1.0.10-3.fc23                                          rawhide                           22 k
 libblockdev                                        x86_64                    1.1-2.fc24                                             rawhide                           78 k
 libblockdev-btrfs                                  x86_64                    1.1-2.fc24                                             rawhide                           32 k
 libblockdev-crypto                                 x86_64                    1.1-2.fc24                                             rawhide                           34 k
 libblockdev-dm                                     x86_64                    1.1-2.fc24                                             rawhide                           32 k
 libblockdev-kbd                                    x86_64                    1.1-2.fc24                                             rawhide                           35 k
 libblockdev-loop                                   x86_64                    1.1-2.fc24                                             rawhide                           29 k
 libblockdev-lvm                                    x86_64                    1.1-2.fc24                                             rawhide                           38 k
 libblockdev-mdraid                                 x86_64                    1.1-2.fc24                                             rawhide                           33 k
 libblockdev-mpath                                  x86_64                    1.1-2.fc24                                             rawhide                           31 k
 libblockdev-plugins-all                            x86_64                    1.1-2.fc24                                             rawhide                           25 k
 libblockdev-swap                                   x86_64                    1.1-2.fc24                                             rawhide                           30 k
 libblockdev-utils                                  x86_64                    1.1-2.fc24                                             rawhide                           32 k
 libconfig                                          x86_64                    1.5-2.fc23                                             rawhide                           64 k
 libgnomekbd                                        x86_64                    3.6.0-8.fc23                                           rawhide                          163 k
 libgsystem                                         x86_64                    2015.2-1.fc23                                          rawhide                           50 k
 libhbaapi                                          x86_64                    2.2.9-7.fc23                                           rawhide                           27 k
 libhbalinux                                        x86_64                    1.0.17-2.fc23                                          rawhide                           38 k
 libhif                                             x86_64                    0.2.1-3.fc24                                           rawhide                           77 k
 libnl3-cli                                         x86_64                    3.2.26-5.fc23                                          rawhide                          169 k
 libnm-gtk                                          x86_64                    1.0.4-2.fc24                                           rawhide                           88 k
 libnotify                                          x86_64                    0.7.6-7.fc23                                           rawhide                           44 k
 libreport                                          x86_64                    2.6.2-3.fc24                                           rawhide                          459 k
 libreport-anaconda                                 x86_64                    2.6.2-3.fc24                                           rawhide                           52 k
 libreport-cli                                      x86_64                    2.6.2-3.fc24                                           rawhide                           56 k
 libreport-gtk                                      x86_64                    2.6.2-3.fc24                                           rawhide                          109 k
 libreport-plugin-bugzilla                          x86_64                    2.6.2-3.fc24                                           rawhide                           88 k
 libreport-plugin-reportuploader                    x86_64                    2.6.2-3.fc24                                           rawhide                           65 k
 libreport-python3                                  x86_64                    2.6.2-3.fc24                                           rawhide                           78 k
 libreport-web                                      x86_64                    2.6.2-3.fc24                                           rawhide                           60 k
 libsecret                                          x86_64                    0.18.2-2.fc23                                          rawhide                          155 k
 libtar                                             x86_64                    1.2.20-7.fc23                                          rawhide                           38 k
 libteam                                            x86_64                    1.17-2.fc23                                            rawhide                           53 k
 libtheora                                          x86_64                    1:1.1.1-13.fc23                                        rawhide                          191 k
 libtimezonemap                                     x86_64                    0.4.4-2.fc23                                           rawhide                          2.2 M
 libusal                                            x86_64                    1.1.11-29.fc23                                         rawhide                          140 k
 libusb                                             x86_64                    1:0.1.5-6.fc23                                         rawhide                           40 k
 libuser-python3                                    x86_64                    0.62-1.fc24                                            rawhide                           56 k
 libvirt-client                                     x86_64                    1.2.18-1.fc24                                          rawhide                          4.4 M
 libvirt-python3                                    x86_64                    1.2.18-1.fc24                                          rawhide                          250 k
 libvisual                                          x86_64                    1:0.4.0-18.fc23                                        rawhide                          141 k
 libwsman1                                          x86_64                    2.6.0-1.fc23                                           rawhide                          131 k
 libxkbfile                                         x86_64                    1.0.9-2.fc23                                           rawhide                           87 k
 libxklavier                                        x86_64                    5.4-5.fc23                                             rawhide                           68 k
 libxslt                                            x86_64                    1.1.28-11.fc23                                         rawhide                          246 k
 libyaml                                            x86_64                    0.1.6-7.fc23                                           rawhide                           58 k
 lldpad                                             x86_64                    1.0.1-1.git986eb2e.fc23                                rawhide                          290 k
 llvm-libs                                          x86_64                    3.6.2-1.fc24                                           rawhide                          8.7 M
 lorax                                              x86_64                    24.1-1.fc24                                            rawhide                          185 k
 lsof                                               x86_64                    4.89-1.fc24                                            rawhide                          346 k
 lz4                                                x86_64                    r131-1.fc23                                            rawhide                           84 k
 mdadm                                              x86_64                    3.3.2-2.fc23                                           rawhide                          402 k
 mesa-dri-drivers                                   x86_64                    11.0.0-0.devel.2.21ccdbd.fc24                          rawhide                          8.3 M
 mesa-filesystem                                    x86_64                    11.0.0-0.devel.2.21ccdbd.fc24                          rawhide                           36 k
 mobile-broadband-provider-info                     noarch                    1.20150421git-2.fc23                                   rawhide                           55 k
 mock                                               noarch                    1.2.12-1.fc24                                          rawhide                          311 k
 mtools                                             x86_64                    4.0.18-9.fc23                                          rawhide                          211 k
 nm-connection-editor                               x86_64                    1.0.4-2.fc24                                           rawhide                          932 k
 nmap-ncat                                          x86_64                    2:6.47-2.fc22                                          rawhide                          135 k
 numactl-libs                                       x86_64                    2.0.10-3.fc23                                          rawhide                           33 k
 orc                                                x86_64                    0.4.24-1.fc23                                          rawhide                          170 k
 ostree                                             x86_64                    2015.7-2.fc23                                          rawhide                          318 k
 plymouth-graphics-libs                             x86_64                    0.8.9-10.2013.08.14.fc23                               rawhide                           46 k
 plymouth-plugin-label                              x86_64                    0.8.9-10.2013.08.14.fc23                               rawhide                           37 k
 plymouth-plugin-two-step                           x86_64                    0.8.9-10.2013.08.14.fc23                               rawhide                           44 k
 python-polib                                       noarch                    1.0.3-6.fc23                                           rawhide                           44 k
 python3-PyYAML                                     x86_64                    3.11-9.fc24                                            rawhide                          168 k
 python3-astroid                                    noarch                    1.3.7-1.fc24                                           rawhide                          184 k
 python3-beaker                                     noarch                    1.5.4-11.fc23                                          rawhide                           80 k
 python3-blivet                                     noarch                    1:1.12-1.fc24                                          rawhide                          749 k
 python3-cairo                                      x86_64                    1.10.0-12.fc23                                         rawhide                          503 k
 python3-chardet                                    noarch                    2.2.1-3.fc23                                           rawhide                          240 k
 python3-coverage                                   x86_64                    4.0-0.10.b1.fc24                                       rawhide                          215 k
 python3-gobject                                    x86_64                    3.17.1-3.fc23                                          rawhide                           20 k
 python3-iscsi-initiator-utils                      x86_64                    6.2.0.873-27.git6aa2c9b.fc23                           rawhide                           22 k
 python3-kickstart                                  noarch                    2.13-1.fc24                                            rawhide                          367 k
 python3-logilab-common                             noarch                    0.63.2-3.fc23                                          rawhide                          299 k
 python3-mako                                       noarch                    1.0.1-2.fc23                                           rawhide                          151 k
 python3-markupsafe                                 x86_64                    0.23-7.fc23                                            rawhide                           36 k
 python3-meh                                        noarch                    0.40-2.fc23                                            rawhide                           70 k
 python3-meh-gui                                    noarch                    0.40-2.fc23                                            rawhide                           20 k
 python3-mock                                       noarch                    1.0.1-5.fc23                                           rawhide                           96 k
 python3-nose                                       noarch                    1.3.7-5.fc24                                           rawhide                          284 k
 python3-nose-testconfig                            noarch                    0.9-5.fc23                                             rawhide                           22 k
 python3-ntplib                                     noarch                    0.3.3-1.fc24                                           rawhide                           18 k
 python3-pid                                        noarch                    2.0.1-2.fc24                                           rawhide                           21 k
 python3-pocketlint                                 noarch                    0.7-1.fc24                                             rawhide                           44 k
 python3-polib                                      noarch                    1.0.3-6.fc23                                           rawhide                           45 k
 python3-pwquality                                  x86_64                    1.3.0-1.fc24                                           rawhide                           16 k
 python3-pylint                                     noarch                    1.4.3-3.fc23                                           rawhide                          334 k
 python3-pyparted                                   x86_64                    1:3.10.5-2.fc23                                        rawhide                          115 k
 python3-pytz                                       noarch                    2012d-8.fc23                                           rawhide                          226 k
 python3-pyudev                                     noarch                    0.16.1-4.fc23                                          rawhide                           64 k
 python3-requests                                   noarch                    2.7.0-2.fc23                                           rawhide                          102 k
 python3-requests-file                              noarch                    1.3.1-2.fc23                                           rawhide                           14 k
 python3-requests-ftp                               noarch                    0.3.0-2.fc23                                           rawhide                           20 k
 python3-rpmfluff                                   noarch                    0.4.1-1.fc23                                           rawhide                           47 k
 python3-sphinx_rtd_theme                           noarch                    0.1.8-2.fc23                                           rawhide                          174 k
 python3-urllib3                                    noarch                    1.10.4-4.20150503gita91975b.fc23                       rawhide                          116 k
 realmd                                             x86_64                    0.16.2-1.fc24                                          rawhide                          210 k
 rpm-ostree                                         x86_64                    2015.8-1.fc24                                          rawhide                          101 k
 satyr                                              x86_64                    0.19-2.fc24                                            rawhide                          106 k
 sgpio                                              x86_64                    1.2.0.10-15.fc23                                       rawhide                           18 k
 snappy                                             x86_64                    1.1.3-1.fc23                                           rawhide                           61 k
 squashfs-tools                                     x86_64                    4.3-11.fc23                                            rawhide                          160 k
 syslinux                                           x86_64                    6.03-5.fc23                                            rawhide                          574 k
 syslinux-nonlinux                                  noarch                    6.03-5.fc23                                            rawhide                          694 k
 teamd                                              x86_64                    1.17-2.fc23                                            rawhide                          117 k
 tigervnc-license                                   noarch                    1.4.3-12.fc24                                          rawhide                           32 k
 tigervnc-server-minimal                            x86_64                    1.4.3-12.fc24                                          rawhide                          1.0 M
 unbound-libs                                       x86_64                    1.5.4-3.fc24                                           rawhide                          366 k
 usermode                                           x86_64                    1.111-7.fc23                                           rawhide                          198 k
 volume_key-libs                                    x86_64                    0.3.9-8.fc23                                           rawhide                          144 k
 webkitgtk4                                         x86_64                    2.9.5-1.fc24                                           rawhide                           21 M
 wpa_supplicant                                     x86_64                    1:2.4-4.fc24                                           rawhide                          1.0 M
 xen-libs                                           x86_64                    4.5.1-6.fc24                                           rawhide                          490 k
 xen-licenses                                       x86_64                    4.5.1-6.fc24                                           rawhide                           93 k
 xml-common                                         noarch                    0.6.3-43.fc23                                          rawhide                           31 k
 xmlrpc-c                                           x86_64                    1.32.5-1908.svn2451.fc23                               rawhide                          132 k
 xmlrpc-c-client                                    x86_64                    1.32.5-1908.svn2451.fc23                               rawhide                           36 k
 xorg-x11-xkb-utils                                 x86_64                    7.7-15.fc23                                            rawhide                          109 k
 yajl                                               x86_64                    2.1.0-4.fc23                                           rawhide                           37 k
 yelp                                               x86_64                    1:3.17.90-1.fc24                                       rawhide                          789 k
 yelp-libs                                          x86_64                    1:3.17.90-1.fc24                                       rawhide                          101 k
 yelp-xsl                                           noarch                    3.17.90-1.fc24                                         rawhide                          289 k
 zenity                                             x86_64                    3.16.3-1.fc23                                          rawhide                          3.4 M
Upgrading:
 libreport-filesystem                               x86_64                    2.6.2-3.fc24                                           rawhide                           43 k
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 libselinux                                         x86_64                    2.4-2.fc24                                             rawhide                          147 k
 libselinux-devel                                   x86_64                    2.4-2.fc24                                             rawhide                          182 k
 libselinux-python3                                 x86_64                    2.4-2.fc24                                             rawhide                          303 k
 libselinux-utils                                   x86_64                    2.4-2.fc24                                             rawhide                          143 k

Transaction Summary
============================================================================================================================================================================
Install  181 Packages
Upgrade    1 Package

Total download size: 86 M
Is this ok [y/N]: n
Operation aborted.
Makefile.am:127: recipe for target 'install-requires' failed
make: *** [install-requires] Error 1

# rpm -q libreport-filesystem libselinux libselinux-devel libselinux-python3 libselinux-utils
libreport-filesystem-2.6.2-2.fc24.x86_64
libselinux-2.4-1.fc24.1.x86_64
libselinux-devel-2.4-1.fc24.1.x86_64
libselinux-python3-2.4-1.fc24.1.x86_64
libselinux-utils-2.4-1.fc24.1.x86_64



Expected results:

Both desktop-file-utils and libselinux* packages are already installed on the system so I was expecting they will be upgraded in the same way glib2, glib2-devel, gtk3, pango, and libreport-filesystem are upgraded. 


Additional info:

Comment 1 Radek Holy 2015-08-19 15:29:24 UTC
"dnf install foo" does not upgrade "foo". Where did you get the impression that it should?
I didn't test it but I believe that in this case, glib2, glib2-devel, gtk3, pango, and libreport-filesystem were upgraded just because the other packages required a newer version of these packages.

Another issue is that "Skipping packages with conflicts:" section which shouldn't be printed in this case IMO.

Comment 2 Honza Silhan 2015-08-31 12:26:23 UTC
The install command does install only. Lets track the second case where it tries to update the dependencies to newest version and could be confusing. The message should not be there.

Comment 3 Jan Kurik 2016-02-24 15:45:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 4 Fedora Admin XMLRPC Client 2016-07-08 09:31:54 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Jaroslav Mracek 2017-04-10 16:19:48 UTC
I believe that the problem about problem reports will be fixed in https://github.com/rpm-software-management/dnf/pull/782. Hope that it helps.

Comment 6 Fedora Update System 2017-05-22 12:41:18 UTC
dnf-plugins-extras-2.0.1-1.fc26 dnf-plugins-core-2.1.0-1.fc26 libdnf-0.9.0-1.fc26 dnf-2.5.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 7 Fedora Update System 2017-05-22 16:40:15 UTC
dnf-2.5.0-1.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 8 Fedora Update System 2017-05-24 08:32:23 UTC
dnf-2.5.0-1.fc26 dnf-plugins-core-2.1.0-1.fc26 dnf-plugins-extras-2.0.1-1.fc26 dnfdaemon-0.3.17-3.fc26 libdnf-0.9.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 9 Fedora Update System 2017-05-24 14:33:21 UTC
dnf-2.5.0-2.fc26 dnf-plugins-core-2.1.0-1.fc26 dnf-plugins-extras-2.0.1-1.fc26 dnfdaemon-0.3.18-1.fc26 libdnf-0.9.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 10 Fedora Update System 2017-05-25 19:17:47 UTC
dnf-2.5.0-2.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, dnfdaemon-0.3.18-2.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 11 Fedora Update System 2017-06-09 19:06:23 UTC
dnf-2.5.0-2.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, dnfdaemon-0.3.18-2.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.